Austin Schuh | e89fa2d | 2019-08-14 20:24:23 -0700 | [diff] [blame^] | 1 | #!/bin/bash |
| 2 | set -e |
| 3 | # |
| 4 | # Copyright 2018 Google Inc. All rights reserved. |
| 5 | # |
| 6 | # Licensed under the Apache License, Version 2.0 (the "License"); |
| 7 | # you may not use this file except in compliance with the License. |
| 8 | # You may obtain a copy of the License at |
| 9 | # |
| 10 | # http://www.apache.org/licenses/LICENSE-2.0 |
| 11 | # |
| 12 | # Unless required by applicable law or agreed to in writing, software |
| 13 | # distributed under the License is distributed on an "AS IS" BASIS, |
| 14 | # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| 15 | # See the License for the specific language governing permissions and |
| 16 | # limitations under the License. |
| 17 | |
| 18 | if [[ "$1" == "mips-unknown-linux-gnu" ]]; then |
| 19 | TARGET_FLAG="--target mips-unknown-linux-gnu" |
| 20 | export CARGO_TARGET_MIPS_UNKNOWN_LINUX_GNU_LINKER=mips-linux-gnu-gcc |
| 21 | export CARGO_TARGET_MIPS_UNKNOWN_LINUX_GNU_RUNNER="qemu-mips -L /usr/mips-linux-gnu" |
| 22 | fi |
| 23 | |
| 24 | cd ./rust_usage_test |
| 25 | cargo test $TARGET_FLAG -- --quiet |
| 26 | TEST_RESULT=$? |
| 27 | if [[ $TEST_RESULT == 0 ]]; then |
| 28 | echo "OK: Rust tests passed." |
| 29 | else |
| 30 | echo "KO: Rust tests failed." |
| 31 | exit 1 |
| 32 | fi |
| 33 | |
| 34 | cargo run $TARGET_FLAG --bin=alloc_check |
| 35 | TEST_RESULT=$? |
| 36 | if [[ $TEST_RESULT == 0 ]]; then |
| 37 | echo "OK: Rust heap alloc test passed." |
| 38 | else |
| 39 | echo "KO: Rust heap alloc test failed." |
| 40 | exit 1 |
| 41 | fi |
| 42 | |
| 43 | cargo bench $TARGET_FLAG |